#****************************************************************************
#
#  Work Place Shell Sample makefile
#
#  Copyright (C) 1993 IBM Corporation
#
#      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
#      sample code created by IBM Corporation. This sample code is not
#      part of any standard or IBM product and is provided to you solely
#      for  the purpose of assisting you in the development of your
#      applications.  The code is provided "AS IS", without
#      warranty of any kind.  IBM shall not be liable for any damages
#      arising out of your use of the sample code, even if they have been
#      advised of the possibility of such damages.                                                    *
#
#****************************************************************************
!include ..\ibmsamp.inc

#****************************************************************************
#  Dot directive definition area (usually just suffixes)
#****************************************************************************
.SUFFIXES: .c .obj .dll .csc .sc .h .ih .ph .psc .res .def .rc .ifp .hlp

#****************************************************************************
#  Environment Setup for the component(s).
#****************************************************************************
SOMTEMP = .\somtemp
SCPATH  = ..\..\..\sc
HPATH   = ..\..\os2h
LIBPATH = ..\..\..\os2lib

!if [set SMINCLUDE=.;$(SCPATH);] || \
    [set SMEMIT=h;ih;ph;sc] || \
    [set SMTMP=%TMP%]
!endif

!if [cd $(SOMTEMP)]
!  if [md $(SOMTEMP)]
!    error error creating $(SOMTEMP) directory
!  endif
!else
!  if [cd ..]
!    error - Couldn't cd .. from $(SOMTEMP) directory
!  endif
!endif


#****************************************************************************
# Compiler/tools Macros
#****************************************************************************
CC      = $(CC) /Ge-
LINK    = LINK386
LDFLAGS = /noi /map /nol /nod /exepack /packcode /packdata /align:16
DLLLIBS = $(DLLLIBS) som.lib

#****************************************************************************
# Set up Macros that will contain all the different dependencies for the
# executables and dlls etc. that are generated.
#****************************************************************************
OBJS = BROWSE.OBJ PMBROWSE.OBJ


#****************************************************************************
#   Setup the inference rules for compiling source code to
#   object code.
#****************************************************************************
.csc.ih:
        sc -r $*.csc

.c.obj:
        icc $(CC) $*.c

all:    BROWSE.DLL BROWSE.HLP

#****************************************************************************

#****************************************************************************
BROWSE.IH:     $$(@B).CSC  $(HPATH)\wpdataf.h

BROWSE.OBJ:    $$(@B).C    $$(@B).IH  $$(@B).H $$(@B).SC $(HPATH)\wpdataf.h
PMBROWSE.OBJ:  $$(@B).C    $$(@B).H

BROWSE.DLL:  $$(@B).DEF $(OBJS) $$(@B).RES
        $(LINK) $(LDFLAGS) $(OBJS),$@,,$(DLLLIBS),$*;
        rc -p -x $*.res $*.dll

BROWSE.RES:    $$(@B).RC   $$(@B).IH  $$(@B).ICO PMBROWSE.H
        rc -r $*.rc $*.res

BROWSE.hlp:    $$(@B).ipf
    ipfc $*.ipf /W3
